

There seems to be no header file which declares system_running.


 include/linux/kernel.h |    2 +-
 init/main.c            |    2 +-
 kernel/kmod.c          |    2 +-
 kernel/sys.c           |    2 --
 4 files changed, 3 insertions(+), 5 deletions(-)

diff -puN init/main.c~export-system_running init/main.c
--- 25/init/main.c~export-system_running	2003-10-18 16:52:03.000000000 -0700
+++ 25-akpm/init/main.c	2003-10-18 16:52:03.000000000 -0700
@@ -95,7 +95,7 @@ extern void tc_init(void);
  * Are we up and running (ie do we have all the infrastructure
  * set up)
  */
-int system_running = 0;
+int system_running;
 
 /*
  * Boot command-line arguments
diff -puN include/linux/kernel.h~export-system_running include/linux/kernel.h
--- 25/include/linux/kernel.h~export-system_running	2003-10-18 16:52:03.000000000 -0700
+++ 25-akpm/include/linux/kernel.h	2003-10-18 16:52:03.000000000 -0700
@@ -103,7 +103,7 @@ static inline void console_verbose(void)
 extern void bust_spinlocks(int yes);
 extern int oops_in_progress;		/* If set, an oops, panic(), BUG() or die() is in progress */
 extern int panic_on_oops;
-
+extern int system_running;
 extern int tainted;
 extern const char *print_tainted(void);
 #define TAINT_PROPRIETARY_MODULE	(1<<0)
diff -puN kernel/kmod.c~export-system_running kernel/kmod.c
--- 25/kernel/kmod.c~export-system_running	2003-10-18 18:27:09.000000000 -0700
+++ 25-akpm/kernel/kmod.c	2003-10-18 18:27:36.000000000 -0700
@@ -36,7 +36,7 @@
 #include <linux/kernel.h>
 #include <asm/uaccess.h>
 
-extern int max_threads, system_running;
+extern int max_threads;
 
 #ifdef CONFIG_KMOD
 
diff -puN kernel/sys.c~export-system_running kernel/sys.c
--- 25/kernel/sys.c~export-system_running	2003-10-18 18:27:13.000000000 -0700
+++ 25-akpm/kernel/sys.c	2003-10-18 18:27:29.000000000 -0700
@@ -78,8 +78,6 @@ EXPORT_SYMBOL(fs_overflowgid);
 int C_A_D = 1;
 int cad_pid = 1;
 
-extern int system_running;
-
 /*
  *	Notifier list for kernel code which wants to be called
  *	at shutdown. This is used to stop any idling DMA operations

_
